# Uses of Interface
org.eclipse.emf.cdo.server.db.mapping.ITypeMapping

Packages that use ITypeMapping
Package
Description
org.eclipse.emf.cdo.server.db
Server concepts for dealing with DB stores and accessors.
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.

## Uses of ITypeMapping in org.eclipse.emf.cdo.server.db

Methods in org.eclipse.emf.cdo.server.db that return ITypeMapping
Modifier and Type
Method
Description
`ITypeMapping`
IIDHandler.`getObjectTypeMapping()`

## Uses of ITypeMapping in org.eclipse.emf.cdo.server.db.mapping

Classes in org.eclipse.emf.cdo.server.db.mapping that implement ITypeMapping
Modifier and Type
Class
Description
`class`
`AbstractTypeMapping`
This is a default implementation for the `ITypeMapping` interface which provides default behavor for all common types.
`class`
`DelegatingTypeMapping`
Methods in org.eclipse.emf.cdo.server.db.mapping that return ITypeMapping
Modifier and Type
Method
Description
`abstract ITypeMapping`
AbstractTypeMappingFactory.`create(String description)`
`ITypeMapping`
ITypeMapping.Provider.`createTypeMapping(IMappingStrategy mappingStrategy, EStructuralFeature feature)`
Create an `ITypeMapping` implementation.
`ITypeMapping`
IMappingStrategy.`createValueMapping(EStructuralFeature feature)`
Factory for value mappings of single-valued attributes.
`ITypeMapping`
AbstractTypeMapping.`getTypeMapping()`
`ITypeMapping`
DelegatingTypeMapping.`getTypeMapping()`
`ITypeMapping`
IFeatureMapping.`getTypeMapping()`
`default ITypeMapping`
IListMapping.`getTypeMapping()`
`default ITypeMapping`
IListMapping2.`getTypeMapping()`
`default ITypeMapping`
IListMapping3.`getTypeMapping()`
`default ITypeMapping`
IListMappingUnitSupport.`getTypeMapping()`
`default ITypeMapping`
ITypeMapping.`getTypeMapping()`
`default ITypeMapping`
IClassMapping.`getValueMapping(EStructuralFeature feature)`
Methods in org.eclipse.emf.cdo.server.db.mapping that return types with arguments of type ITypeMapping
Modifier and Type
Method
Description
`List<ITypeMapping>`
IClassMapping.`getValueMappings()`